function U=CalculF(f,t,x)
% Calcul de la fonction f(t,x) 
% INPUT :
% f :  fonction du type @(t,x)
% t :  discretisation en temps, vecteur de dimension nt
% x : discretisation en espace,  vecteur de dimension nx
% OUTPUT :
% U : matrice definie par U(i,n)=f(t(n),x(i)), de dimension (nx,nt)
nt=length(t);
nx=length(x);
U=zeros(nx,nt);
for n=1:nt
    U(:,n)=f(t(n),x)';
end